Subject: Re: [alsa-devel] [PATCH] aoa: remove driver_data direct access of struct device

From: Greg KH <[email-masked]>
Date: Tue, 12 May 2009 16:05:14 -0700

On Tue, May 12, 2009 at 09:23:47AM +0200, Takashi Iwai wrote:
> At Mon, 11 May 2009 23:57:43 -0700,
> Greg KH wrote:
> > 
> > On Tue, May 12, 2009 at 08:40:05AM +0200, Takashi Iwai wrote:
> > > At Mon, 11 May 2009 21:54:51 +0200,
> > > Roel Kluin wrote:
> > > > 
> > > > To avoid direct access to the driver_data pointer in struct device, the
> > > > functions dev_get_drvdata() and dev_set_drvdata() should be used.
> > > > 
> > > > Signed-off-by: Roel Kluin <[email-masked]>
> > > 
> > > The same fix has been already in Greg's tree (and thus in linux-next).
> > > 
> > > Greg, is it OK that I take over your patch to sound git tree?
> > 
> > Yes, please do, no objection from me at all.
> 
> OK, will do.
> 
> BTW, should it be pushed to 2.6.30?  If "the near future" you
> mentioned in the patch means 2.6.31, it'll be better to merge that fix
> now.  Otherwise, I'm going to apply the patch as a 2.6.31 material.

.31 is fine, that is what I was meaning by with "near future" :)

thanks,

greg k-h